Home

BroadcastTx broadcast transaction.

POST
https://inj.nownodes.io/cosmos/tx/v1beta1/txs

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Body

application/json

BroadcastTxRequest is the request type for the Cosmos.BroadcastTxRequest RPC method.

tx_bytesstring<byte>

tx_bytes is the raw transaction.

modestringBROADCAST_MODE_UNSPECIFIEDBROADCAST_MODE_BLOCKBROADCAST_MODE_SYNCBROADCAST_MODE_ASYNCBROADCAST_MODE_UNSPECIFIED

BroadcastMode specifies the broadcast mode for the TxCosmos.Broadcast RPC method.

  • BROADCAST_MODE_UNSPECIFIED: zero-value for mode ordering
  • BROADCAST_MODE_BLOCK: DEPRECATED: use BROADCAST_MODE_SYNC instead, BROADCAST_MODE_BLOCK is not supported by the SDK from v0.47.x onwards.
  • BROADCAST_MODE_SYNC: BROADCAST_MODE_SYNC defines a tx broadcasting mode where the client waits for a CheckTx execution response only.
  • BROADCAST_MODE_ASYNC: BROADCAST_MODE_ASYNC defines a tx broadcasting mode where the client returns immediately.

Response

200OK

A successful response.

default

An unexpected error response.